Name:         ssm
Summary:      Manage the state of specific files and packages on a system.
Version:      0.4.16
Release:      0
BuildArch:    noarch
Group:        System Environment/Applications
Requires:     perl-libwww-perl
License:      GPL
URL:          http://download.systemimager.org/pub/ssm/
Source:       http://download.systemimager.org/pub/ssm/ssm-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
System State Manager (ssm) allows you to define a desired state for
one or more machines.  This state can include:
* a complete list of packages to be installed (optional)
* version information for some or all packages (optional)
* files that should be in place, and appropriate attributes (optional)
  * regular files (content via md5sum)
  * character, block, and fifo files
  * permissions and ownership
  * soft links and hard links
  * unwanted files and directories (that should be removed)
.
If an defined element of a system is not in the desired state, the
ssm client can fix it, always prompting you before taking action.
Prompting can be suppressed with a --yes option.
.  
State information for a machine is kept in a state definition file,
which can be stored in a location that the ssm client can access via
http:, https:, ftp:, or on the local filesystem.  State definition
files are simple to create, and are easy to read and understand.
.
http://download.systemimager.org/pub/ssm/


%prep
%setup -n ssm-%{version}


%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_prefix}/share/doc/ssm $RPM_BUILD_ROOT/%{_prefix}/share/doc/ssm-%{version}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/ssm/client.conf
%{_prefix}/lib/ssm/SystemStateManager.pm
%{_prefix}/lib/ssm/SystemStateManager/
%{_prefix}/sbin/
%{_prefix}/share/doc/ssm-%{version}/README.state_definition_file_details
%{_prefix}/share/doc/ssm-%{version}/examples/one-of-each.conf
%{_prefix}/share/doc/ssm-%{version}/examples/tmp/one-regular-file.txt/27abe7c7e2423eddec0839a2d0633e37
%{_prefix}/share/doc/ssm-%{version}/ChangeLog
%{_prefix}/share/doc/ssm-%{version}/COPYING
%{_prefix}/share/doc/ssm-%{version}/CREDITS


%changelog -n ssm
* Sun Oct 28 2008 - finley@anl.gov
- initial package
